Index: /trunk/SophyaPI/PI/Makefile
===================================================================
--- /trunk/SophyaPI/PI/Makefile	(revision 1033)
+++ /trunk/SophyaPI/PI/Makefile	(revision 1034)
@@ -1,27 +1,34 @@
 MODULECXXREPNAME := PI
 MODULEDECCXXFLAGS := -msg_quiet
+MODULECPPFLAGS := -DSANS_EVOLPLANCK
 include ../Mgr/Makefile.h
  
 all: $(LIB)libPI.a
-$(LIB)libPI.a : $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
+$(LIB)libPI.a : $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)pitherm.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
 	$(AR) $(ARFLAGS)  $@ $? 
 ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -L$(LIB) -lPI -o $(OBJ)xx.x -Hf
 endif 
  
 clean:
-	rm -f $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
+	rm -f $(OBJ)lut.o $(OBJ)parradapter.o $(OBJ)pi3ddrw.o $(OBJ)piapplgen.o $(OBJ)piapplx.o $(OBJ)pibwdggen.o $(OBJ)pibwdgx.o $(OBJ)picmap.o $(OBJ)picmapgen.o $(OBJ)picmapview.o $(OBJ)picmapx.o $(OBJ)picons.o $(OBJ)picontainergen.o $(OBJ)picontainerx.o $(OBJ)pidrawer.o $(OBJ)pidrawwin.o $(OBJ)pidrwtools.o $(OBJ)pievthandler.o $(OBJ)pifilechogen.o $(OBJ)pifilechox.o $(OBJ)pifontgen.o $(OBJ)pifontx.o $(OBJ)pigraph3d.o $(OBJ)pigraphgen.o $(OBJ)pigraphps.o $(OBJ)pigraphuc.o $(OBJ)pigraphx.o $(OBJ)piimage.o $(OBJ)piimgtools.o $(OBJ)pilistgen.o $(OBJ)pilistx.o $(OBJ)pimenubargen.o $(OBJ)pimenubarx.o $(OBJ)pimenugen.o $(OBJ)pimenux.o $(OBJ)pimsghandler.o $(OBJ)pioptmenugen.o $(OBJ)pioptmenux.o $(OBJ)piperiodx.o $(OBJ)pipixmapgen.o $(OBJ)pipixmapx.o $(OBJ)piscdrawwdg.o $(OBJ)pistdwdggen.o $(OBJ)pistdwdgx.o $(OBJ)pistzwin.o $(OBJ)pisurfdr.o $(OBJ)pitherm.o $(OBJ)piwdggen.o $(OBJ)piwdgx.o $(OBJ)piwindowgen.o $(OBJ)piwindowx.o $(OBJ)pixtbase.o $(OBJ)psfile.o
 ifeq ($(CXX),cxx)
 	cd $(REPM); rm -f *.o
 endif 
  
-$(OBJ)lut.o: lut.cc $(INC)machdefs.h lut.h
+$(OBJ)lut.o: lut.cc $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h lut.h
 $(OBJ)parradapter.o: parradapter.cc parradapter.h \
- $(INC)machdefs.h lut.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h lut.h
 $(OBJ)pi3ddrw.o: pi3ddrw.cc pi3ddrw.h pisysdep.h \
- $(INC)machdefs.h pidrawer.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pidrawer.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h \
  pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
@@ -29,228 +36,349 @@
  picons.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h \
- $(INC)machdefs.h pisysdep.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
- pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pisysdep.h \
+ picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
+ pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+ pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
+$(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pisysdep.h \
+ picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
+ pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+ pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
+$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+ pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
+ psfile.h pidrawer.h pigraphps.h pidrwtools.h pistdwdgx.h \
+ pistdwdggen.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
+ piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piapplx.h \
+ piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h
+$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pixtbase.h
+$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h picmapx.h \
+ picmapgen.h
+$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h picmapx.h picmap.h
+$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
+$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h \
+ picolist.h picmapx.h picmapgen.h pisysdep.h
+$(OBJ)picons.o: picons.cc pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picons.h \
+ pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h pibwdgx.h \
  pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
-$(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h \
- $(INC)machdefs.h pisysdep.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimenubarx.h pimenubargen.h \
- pimenux.h pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h \
- pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
-$(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pidrawer.h \
- pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pioptmenux.h \
- pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
- pimenubargen.h picons.h pibwdgx.h
-$(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h pibwdggen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h pixtbase.h
-$(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h \
- $(INC)machdefs.h picmapx.h picmapgen.h
-$(OBJ)picmapgen.o: picmapgen.cc picmapgen.h pisysdep.h \
- $(INC)machdefs.h picmapx.h picmap.h
-$(OBJ)picmapview.o: picmapview.cc picmapview.h pisysdep.h \
- $(INC)machdefs.h pibwdgx.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h
-$(OBJ)picmapx.o: picmapx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h pimsghandler.h picmapx.h \
- picmapgen.h pisysdep.h
-$(OBJ)picons.o: picons.cc pisysdep.h \
- $(INC)machdefs.h pimenux.h pimenugen.h \
- piwdgx.h piwdggen.h pimsghandler.h picons.h pistdwdgx.h pistdwdggen.h \
- picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
 $(OBJ)picontainerx.o: picontainerx.cc picontainerx.h pisysdep.h \
- $(INC)machdefs.h picontainergen.h piwdgx.h \
- piwdggen.h pimsghandler.h
-$(OBJ)pidrawer.o: pidrawer.cc $(INC)machdefs.h \
- pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h picontainergen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h
+$(OBJ)pidrawer.o: pidrawer.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pidrawer.h \
+ pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
  pifontgen.h pigraphuc.h pievthandler.h psfile.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h \
- $(INC)machdefs.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
- piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
- pidrawer.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h piscdrawwdg.h pibwdgx.h pibwdggen.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pistdwdgx.h pistdwdggen.h pidrawer.h
 $(OBJ)pidrwtools.o: pidrwtools.cc pidrwtools.h pisysdep.h \
- $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
- picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h piscdrawwdg.h pidrawer.h \
- pi3ddrw.h pigraph3d.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pistdwdgx.h \
+ pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
+ pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h piscdrawwdg.h \
+ pidrawer.h pi3ddrw.h pigraph3d.h
 $(OBJ)pievthandler.o: pievthandler.cc pievthandler.h pisysdep.h \
- $(INC)machdefs.h pimsghandler.h piwdgx.h \
- piwdggen.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
- pifontx.h pifontgen.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h \
+ piwdgx.h piwdggen.h picolist.h pigraphx.h pigraphgen.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
 $(OBJ)pifilechox.o: pifilechox.cc pisysdep.h \
- $(INC)machdefs.h piapplx.h piapplgen.h \
- pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
- pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piapplx.h \
+ piapplgen.h pimsghandler.h picontainerx.h picontainergen.h piwdgx.h \
+ piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h \
+ pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
+$(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
+$(OBJ)pifontx.o: pifontx.cc pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pifontx.h \
+ pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pigraphuc.h \
+ pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
+$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pigraphgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h psfile.h
+$(OBJ)pigraphuc.o: pigraphuc.cc \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pigraphuc.h \
+ pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pigraphgen.h \
+ piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+ picmapgen.h pifontx.h pifontgen.h
+$(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h lut.h pisysdep.h \
+ pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+ pifontgen.h pigraphuc.h pievthandler.h psfile.h pipixmapx.h \
+ pipixmapgen.h pibwdgx.h pigraphps.h pistdwdgx.h pistdwdggen.h \
+ piwindowx.h piwindowgen.h picontainerx.h picontainergen.h \
+ picmapview.h piimgtools.h pioptmenux.h pioptmenugen.h pimenux.h \
+ pimenugen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
+ picons.h pidrwtools.h piscdrawwdg.h
+$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pistdwdgx.h \
+ pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
+ pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h piimage.h \
+ parradapter.h lut.h pidrawer.h pipixmapx.h pipixmapgen.h picmapview.h
+$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
+$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h picontainerx.h picontainergen.h
+$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
+ piapplgen.h picontainerx.h picontainergen.h pimenubarx.h picons.h \
  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h pifilechox.h pifilechogen.h \
- piwindowx.h piwindowgen.h
-$(OBJ)pifontgen.o: pifontgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pifontx.o: pifontx.cc pisysdep.h \
- $(INC)machdefs.h pifontx.h pifontgen.h \
- piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pigraph3d.o: pigraph3d.cc pigraph3d.h pisysdep.h \
- $(INC)machdefs.h pigraphuc.h pigraphgen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pifontx.h pifontgen.h
-$(OBJ)pigraphgen.o: pigraphgen.cc pigraphgen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h \
- $(INC)machdefs.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
- pifontgen.h psfile.h
-$(OBJ)pigraphuc.o: pigraphuc.cc $(INC)machdefs.h \
- pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
-$(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h \
- $(INC)machdefs.h pigraphgen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h \
- pifontgen.h
-$(OBJ)piimage.o: piimage.cc piimage.h parradapter.h \
- $(INC)machdefs.h lut.h pisysdep.h pidrawer.h \
- pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
- picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pipixmapx.h pipixmapgen.h pibwdgx.h \
- pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h picmapview.h piimgtools.h \
- pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piapplx.h \
- piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
- piscdrawwdg.h
-$(OBJ)piimgtools.o: piimgtools.cc piimgtools.h pisysdep.h \
- $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
- picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h piimage.h parradapter.h lut.h \
- pidrawer.h pipixmapx.h pipixmapgen.h picmapview.h
-$(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h
-$(OBJ)pilistx.o: pilistx.cc pilistx.h pilistgen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h picontainerx.h picontainergen.h
-$(OBJ)pimenubargen.o: pimenubargen.cc pimenubargen.h pisysdep.h \
- $(INC)machdefs.h pimenux.h pimenugen.h \
- piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
- picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
+ pievthandler.h psfile.h pigraphps.h
+$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
+ piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
  pievthandler.h psfile.h pigraphps.h
-$(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
- $(INC)machdefs.h pimenux.h pimenugen.h \
- piwdgx.h piwdggen.h pimsghandler.h piapplx.h piapplgen.h \
- picontainerx.h picontainergen.h picons.h pistdwdgx.h pistdwdggen.h \
- pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
 $(OBJ)pimenux.o: pimenux.cc pisysdep.h \
- $(INC)machdefs.h pimenubarx.h pimenubargen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimenubarx.h \
+ pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h \
- $(INC)machdefs.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h
 $(OBJ)pioptmenugen.o: pioptmenugen.cc pioptmenugen.h pisysdep.h \
- $(INC)machdefs.h pimenux.h pimenugen.h \
- piwdgx.h piwdggen.h pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimenux.h \
+ pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 $(OBJ)pioptmenux.o: pioptmenux.cc pisysdep.h \
- $(INC)machdefs.h pioptmenux.h pioptmenugen.h \
- pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h pistdwdgx.h \
- pistdwdggen.h piapplx.h piapplgen.h picontainerx.h picontainergen.h \
- pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pioptmenux.h \
+ pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h pistdwdgx.h pistdwdggen.h piapplx.h \
+ piapplgen.h picontainerx.h picontainergen.h pimenubarx.h \
+ pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h pimsghandler.h piperiodx.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h \
+ picolist.h piperiodx.h \
  $(INC)periodic.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h pibwdgx.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
- $(INC)machdefs.h pibwdgx.h pibwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
- pievthandler.h psfile.h pigraphps.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)piscdrawwdg.o: piscdrawwdg.cc \
- $(INC)machdefs.h piscdrawwdg.h pisysdep.h \
- pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraphps.h pistdwdgx.h \
- pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piscdrawwdg.h \
+ pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+ pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h pidrawer.h pidrwtools.h pioptmenux.h pioptmenugen.h \
  pimenux.h pimenugen.h piapplx.h piapplgen.h pimenubarx.h \
  pimenubargen.h picons.h parradapter.h lut.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h \
- $(INC)machdefs.h piwdgx.h piwdggen.h \
- pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h \
- $(INC)machdefs.h pistdwdgx.h pistdwdggen.h \
- piwdgx.h piwdggen.h pimsghandler.h picontainerx.h picontainergen.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pistdwdgx.h \
+ pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ picontainerx.h picontainergen.h
 $(OBJ)pistzwin.o: pistzwin.cc pistzwin.h pisysdep.h \
- $(INC)machdefs.h piwindowx.h piwindowgen.h \
- picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
- piperiodx.h $(INC)periodic.h psfile.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h piwindowx.h \
+ piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+ pimsghandler.h picolist.h piperiodx.h \
+ $(INC)periodic.h psfile.h \
  pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
 $(OBJ)pisurfdr.o: pisurfdr.cc pisurfdr.h parradapter.h \
- $(INC)machdefs.h lut.h pi3ddrw.h pisysdep.h \
- pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
- pigraphuc.h pievthandler.h psfile.h pigraph3d.h pibwdgx.h pigraphps.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h lut.h pi3ddrw.h \
+ pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+ pifontx.h pifontgen.h pigraphuc.h pievthandler.h psfile.h pigraph3d.h \
+ pibwdgx.h pigraphps.h
+$(OBJ)pitherm.o: pitherm.cc pitherm.h pisysdep.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+ picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+ pigraphuc.h pievthandler.h psfile.h pigraphps.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h \
- $(INC)machdefs.h pimsghandler.h \
- picontainergen.h pisysdep.h piwdgx.h pievthandler.h pigraphx.h \
- pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
- psfile.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h \
+ picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
+ pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h psfile.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h \
- $(INC)machdefs.h pimsghandler.h \
- picontainerx.h pisysdep.h picontainergen.h pievthandler.h pigraphx.h \
- pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pimsghandler.h \
+ picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
+ pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
+ pifontgen.h
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h \
- $(INC)machdefs.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
- pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+ psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+ pifontx.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
- $(INC)machdefs.h picontainerx.h \
- picontainergen.h piwdgx.h piwdggen.h pimsghandler.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h picontainerx.h \
+ picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h \
- $(INC)machdefs.h pibwdggen.h piwdgx.h \
- piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h pifontx.h pifontgen.h pigraphuc.h pievthandler.h \
- psfile.h pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h $(INC)machdefs.h \
- pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h \
- pimsghandler.h picmap.h picmapx.h picmapgen.h pifontx.h
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pibwdggen.h piwdgx.h \
+ piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+ pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigraphuc.h \
+ pievthandler.h psfile.h pigraphps.h pixtbase.h
+$(OBJ)psfile.o: psfile.cc psfile.h \
+ $(INC)machdefs.h \
+ $(INC)machine.h \
+ $(INC)defs.h pisysdep.h \
+ pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
+ picolist.h picmap.h picmapx.h picmapgen.h pifontx.h
Index: /trunk/SophyaPI/PI/objlist.list
===================================================================
--- /trunk/SophyaPI/PI/objlist.list	(revision 1033)
+++ /trunk/SophyaPI/PI/objlist.list	(revision 1034)
@@ -45,4 +45,5 @@
 pistzwin.o
 pisurfdr.o
+pitherm.o
 piwdggen.o
 piwdgx.o
Index: /trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdggen.cc	(revision 1033)
+++ /trunk/SophyaPI/PI/pibwdggen.cc	(revision 1034)
@@ -53,15 +53,8 @@
 //--
 //++
-// void  SetBackgroundColor(PIColors col=PI_White)
-//	Choix de la couleur de fond.
-// void  EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0) 
-//	Efface la zone rectangulaire définie par le coin "(x0,y0)" ,
-//	de taille "dx,dy" à l'aide de la couleur de fond.
 // void  SelPointerShape(PIPointer ptr=PI_ArrowPointer) 
 //	Choix de la forme du pointeur (souris) pour la fenêtre 
 //	associée à l'objet.
 //|	PI_ArrowPointer, PI_CrossPointer, PI_HandPointer, PI_TDLRArrowPointer
-// PIColors  GetBackgroundColor()
-//	Renvoie la couleur de fond
 // PIPointer  GetPointerShape() 
 //	Renvoie la forme du pointeur
Index: /trunk/SophyaPI/PI/pibwdggen.h
===================================================================
--- /trunk/SophyaPI/PI/pibwdggen.h	(revision 1033)
+++ /trunk/SophyaPI/PI/pibwdggen.h	(revision 1034)
@@ -45,9 +45,6 @@
   virtual void       ActivateKeyboard()        = 0;
 
-//  Divers : couleur de fond, Effacement fenetre,  forme de la souris
-  virtual void       SetBackgroundColor(PIColors col=PI_White)               = 0;
-  virtual void       EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0)     = 0;
+//  Divers :   forme de la souris
   virtual void       SelPointerShape(PIPointer ptr=PI_ArrowPointer)          = 0;
-  virtual PIColors   GetBackgroundColor()                                    = 0;
   virtual PIPointer  GetPointerShape()                                       = 0;
   virtual void       AssignKeyboard()                                        = 0;
Index: /trunk/SophyaPI/PI/pibwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdgx.cc	(revision 1033)
+++ /trunk/SophyaPI/PI/pibwdgx.cc	(revision 1034)
@@ -52,4 +52,6 @@
 // Si pas cree par FinishCreate()
 if (!mWGrC) mWGrC = new PIGraphicX(this);   
+SetBackgroundColor();
+SetForegroundColor();
 Manage();
 }
@@ -172,20 +174,4 @@
 }
 
-/* --Methode-- */
-void PIBaseWdgX::SetBackgroundColor(PIColors col)
-{
-Arg  wargs[2];
-XtSetArg(wargs[0],XtNbackground, mWGrC->GetPixelValueforColor(col) );  
-XtSetValues(XtWdg(), wargs, 1);
-mBCol = col;
-return;
-}
-
-/* --Methode-- */
-void PIBaseWdgX::EraseWindow(int x0, int y0, int dx, int dy)
-{
-XClearArea (XtDisplay(XtWdg()),XtWindow(XtWdg()), x0, y0, dx, dy, False );
-return;
-}
 
 /* --Methode-- */
@@ -206,9 +192,4 @@
 }
 
-/* --Methode-- */
-PIColors   PIBaseWdgX::GetBackgroundColor()
-{
-return(mBCol);
-}
 
 /* --Methode-- */
Index: /trunk/SophyaPI/PI/pibwdgx.h
===================================================================
--- /trunk/SophyaPI/PI/pibwdgx.h	(revision 1033)
+++ /trunk/SophyaPI/PI/pibwdgx.h	(revision 1034)
@@ -33,8 +33,5 @@
 
 //  Divers : couleur de fond, Effacement fenetre,  forme de la souris
-  virtual void       SetBackgroundColor(PIColors col=PI_White);
-  virtual void       EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0);
   virtual void       SelPointerShape(PIPointer ptr=PI_ArrowPointer);
-  virtual PIColors   GetBackgroundColor();
   virtual PIPointer  GetPointerShape();
   virtual void       AssignKeyboard();
@@ -55,5 +52,4 @@
   void               Init();
   PIPointer mPtrS;
-  PIColors mBCol;
 };
 
Index: /trunk/SophyaPI/PI/picolist.h
===================================================================
--- /trunk/SophyaPI/PI/picolist.h	(revision 1034)
+++ /trunk/SophyaPI/PI/picolist.h	(revision 1034)
@@ -0,0 +1,19 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Module PI : Peida Interactive     PIGraphic 
+// Liste de couleurs predefinies     R. Ansari 1997-2000
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
+#ifndef PICOLIST_H_SEEN
+#define PICOLIST_H_SEEN
+
+
+enum PIColors  { PI_ColorFromMap = -4, PI_NotDefColor = -1, 
+                 PI_Black = 0, PI_White = 1,  PI_Grey = 2,
+                 PI_Red = 3, PI_Blue = 4, PI_Green = 5,  
+                 PI_Yellow = 6, PI_Magenta = 7, 
+                 PI_Cyan = 8, PI_Turquoise = 9, PI_NavyBlue = 10, 
+                 PI_Orange = 11, PI_SiennaRed = 12, PI_Purple = 13,  
+                 PI_LimeGreen = 14, PI_Gold = 15,
+                 PI_ColorAllBits0 = 16, PI_ColorAllBits1 = 17 };
+
+#endif
Index: /trunk/SophyaPI/PI/pigraphgen.h
===================================================================
--- /trunk/SophyaPI/PI/pigraphgen.h	(revision 1033)
+++ /trunk/SophyaPI/PI/pigraphgen.h	(revision 1034)
@@ -13,13 +13,5 @@
 #include PIFONT_H
 
-
-enum PIColors  { PI_ColorFromMap = -4, PI_NotDefColor = -1, 
-                 PI_Black = 0, PI_White = 1,  PI_Grey = 2,
-                 PI_Red = 3, PI_Blue = 4, PI_Green = 5,  
-                 PI_Yellow = 6, PI_Magenta = 7, 
-                 PI_Cyan = 8, PI_Turquoise = 9, PI_NavyBlue = 10, 
-                 PI_Orange = 11, PI_SiennaRed = 12, PI_Purple = 13,  
-                 PI_LimeGreen = 14, PI_Gold = 15,
-                 PI_ColorAllBits0 = 16, PI_ColorAllBits1 = 17 };
+#include "picolist.h"  // enum PIColors
 
 
Index: /trunk/SophyaPI/PI/pigraphx.cc
===================================================================
--- /trunk/SophyaPI/PI/pigraphx.cc	(revision 1033)
+++ /trunk/SophyaPI/PI/pigraphx.cc	(revision 1034)
@@ -641,4 +641,5 @@
 {
 if ( (col < 0) || (col >= NMAXCOL))  return(0);
+GlInit();
 return(colpix[col]); 
 }
Index: /trunk/SophyaPI/PI/pigraphx.h
===================================================================
--- /trunk/SophyaPI/PI/pigraphx.h	(revision 1033)
+++ /trunk/SophyaPI/PI/pigraphx.h	(revision 1034)
@@ -74,8 +74,9 @@
   virtual void       RestoreGraphicAtt();
 
-//  Pour recuperer le pixcol d une couleur  (pour X) 
-  PIXColor           GetPixelValueforColor(PIColors col);
 //  Pour initialiser mWId apres creation de fenetre
   virtual void	     TerminateInit();
+
+//  Pour recuperer le pixcol d une couleur  (pour X) 
+  static PIXColor    GetPixelValueforColor(PIColors col);
 
 protected:
Index: /trunk/SophyaPI/PI/pitherm.cc
===================================================================
--- /trunk/SophyaPI/PI/pitherm.cc	(revision 1034)
+++ /trunk/SophyaPI/PI/pitherm.cc	(revision 1034)
@@ -0,0 +1,175 @@
+// Module PI : Peida Interactive   PIThermometer
+// Thermometre                   R. Ansari  05/00
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
+#include "pitherm.h"
+
+//++
+// Class	PIThermometer
+// Lib		PI
+// include	pitherm.h
+//
+//   	Classe permettant la visualisation d'une valeur sous forme 
+//   	d'une barre de progression
+//--
+//++
+// Links	Parents
+// PIBaseWdg
+//--
+
+//++
+// Titre	Constructeur
+//--
+//++
+//  PIThermometer(PIContainerGen *par, char *nom, int sx=256, int sy=10, int px=0, int py=0);
+//	Constructeur - Le choix d'affichage (vertical ou horizontal) dépend
+//	du rapport des tailles "sx", "sy"
+//--
+
+
+/* --Methode-- */
+PIThermometer::PIThermometer(PIContainerGen *par, char *nom,
+                       int sx, int sy, int px, int py) 
+: PIBaseWdg(par, nom, sx, sy, px, py)
+
+{
+  SetMinMax();
+  val_ = 0.;
+  SetThreshold();
+  SetColors();
+  lastperc_ = 0.;
+}
+
+/* --Methode-- */
+PIThermometer::~PIThermometer()
+{
+}
+
+/* --Methode-- */
+void
+PIThermometer::SetMinMax(double min, double max)
+{
+  if (max <= min) return;
+  min_ = min;  max_ = max;   
+}
+
+/* --Methode-- */
+void
+PIThermometer::GetMinMax(double& min, double& max)
+{
+  min = min_;  max = max_; 
+}
+
+/* --Methode-- */
+void
+PIThermometer::SetValue(double val)
+{
+  val_ = val;   
+  Refresh();
+}
+
+/* --Methode-- */
+double
+PIThermometer::GetValue()
+{
+return val_;
+}
+
+/* --Methode-- */
+void
+PIThermometer::SetThreshold(double t1, double t2)
+{
+  thr1_ = t1;   thr2_ = t2;  
+}
+
+void
+PIThermometer::GetThreshold(double& t1, double& t2)
+{
+  t1 = thr1_;   t2 = thr2_;  
+}
+
+void
+PIThermometer::SetColors(PIColors c1, PIColors c2, PIColors c3)
+{
+  lowc_ = c1;  medc_ = c2;  highc_ = c3;
+}
+
+//++
+// Titre	Méthodes
+//--
+//++
+// long  kind()
+//	Retourne PIThermometer::ClassId .
+//--
+ 
+
+/* --Methode-- */
+void PIThermometer::Draw(PIGraphicGen* g, int /*x0*/, int /*y0*/, int /*dx*/, int /*dy*/)
+{
+  double delta = (max_-min_);
+  if (delta < 1.e-39) delta = 1.e-39;
+
+  double perc = (val_-min_)/delta;
+  int sx = XSize(); 
+  int sy = YSize(); 
+  if (perc < lastperc_)  
+    EraseWindow(0, 0, XSize(), YSize());
+  
+  g->SelForeground(PI_Black);
+  g->DrawBox(0, 0, sx, sy);
+  
+  lastperc_ = perc;
+  char buff[32];
+  sprintf(buff, "%d%%", (int)(perc*100.));
+
+  if (perc < 0.) perc = 0.;
+  if (perc > 1.) perc = 1.;
+  // Representation verticale si SizeY > SizeX 
+  // ou horizontale  si SizeX > SizeY
+  if (perc < thr1_)  g->SelForeground(lowc_);
+  else if (perc < thr2_)  g->SelForeground(medc_);
+  else g->SelForeground(highc_);
+
+  int w,h,fa,fd;
+  g->SelFont(PI_NormalSizeFont, PI_BoldFont);
+  w = g->GetFont().GetStringWidth(buff);
+  h = g->GetFont().GetFontHeight(fa, fd);
+
+  g->SelLine(PI_ThinLine);
+  if (sx > sy) {    // horizontal
+    int dx = (double)(sx-2)*perc; 
+    g->DrawFBox(1, 1, dx, sy-2);
+    int dcx = (sy-2)*0.66;
+    int cx = 1+dcx;   
+    g->SelForeground(PI_Grey);
+    while (cx <= dx) {
+      g->DrawLine(cx, 1, cx, sy-2);
+      cx += dcx;
+    }
+    g->SelForeground(PI_Black);
+    cx = ((dx-w-2)>=1) ? (dx-w-2) : 1;  
+    g->DrawString(cx, sy/2-1+h/2, buff);
+  }
+  else  {    // vertical
+    int dy = (double)(sy-2)*perc;
+    g->DrawFBox(1, (sy-dy-1), sx-2, dy);
+    int dcy = (sx-2)*0.66;
+    int cy = sy-1-dcy;
+    g->SelForeground(PI_Grey);
+    while (cy > (sy-dy-1)) {
+      g->DrawLine(1, cy, sx-2, cy);
+      cy -= dcy;
+    }
+    g->SelForeground(PI_Black);
+    cy = ((dy+1+h) < sy-1) ? (dy+1+h) : sy-2;
+    g->DrawString((sx-w)/2, cy, buff);    
+  }
+  
+  return;
+}
+
+
+
+
+
+
Index: /trunk/SophyaPI/PI/pitherm.h
===================================================================
--- /trunk/SophyaPI/PI/pitherm.h	(revision 1034)
+++ /trunk/SophyaPI/PI/pitherm.h	(revision 1034)
@@ -0,0 +1,45 @@
+// This may look like C code, but it is really -*- C++ -*-
+// Module PI : Peida Interactive     PIThermometer
+// Thermometre                   R. Ansari  05/00
+// LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
+
+#ifndef PITHERM_H_SEEN
+#define PITHERM_H_SEEN
+
+#include "pisysdep.h"
+
+#include PIBWDG_H
+
+class PIThermometer : public PIBaseWdg
+{
+public:
+  enum {ClassId = 5160};
+
+                  PIThermometer(PIContainerGen *par, char *nom,
+                                int sx=256, int sy=10, int px=0, int py=0);
+  virtual         ~PIThermometer();
+
+  virtual long	  kind() {return ClassId; }
+  virtual void    SetMinMax(double min=0., double max=1.);
+  virtual void    GetMinMax(double& min, double& max);
+  virtual void    SetValue(double val);
+  virtual double  GetValue(); 
+  virtual void    SetThreshold(double t1=0.75, double t2=0.9);
+  virtual void    GetThreshold(double& t1, double& t2);
+  virtual void    SetColors(PIColors c1=PI_Green, PIColors c2=PI_Yellow, 
+                            PIColors c3=PI_Red);
+
+// Traitement des evenements   
+
+  virtual void   Draw(PIGraphic* g, int x0, int y0, int dx, int dy);
+
+
+protected:
+  double min_, max_, val_;
+  double thr1_, thr2_;
+  PIColors lowc_, medc_, highc_;
+  double lastperc_;
+};
+
+
+#endif 
Index: /trunk/SophyaPI/PI/piversion.h
===================================================================
--- /trunk/SophyaPI/PI/piversion.h	(revision 1033)
+++ /trunk/SophyaPI/PI/piversion.h	(revision 1034)
@@ -2,5 +2,5 @@
 #define PIVERSION_H_SEEN
 
-#define PI_VERSIONNUMBER  2.5
+#define PI_VERSIONNUMBER  2.6
 
 #endif
Index: /trunk/SophyaPI/PI/piwdggen.cc
===================================================================
--- /trunk/SophyaPI/PI/piwdggen.cc	(revision 1033)
+++ /trunk/SophyaPI/PI/piwdggen.cc	(revision 1034)
@@ -70,4 +70,21 @@
 //	Renvoie la position de l'objet sur l'écran.
 //--
+//++
+// Titre	Couleurs, etc ...
+//--
+//++
+// void  SetBackgroundColor(PIColors col=PI_White)
+//	Choix de la couleur de fond.
+// void  SetForegroundColor(PIColors col=PI_Black)
+//	Choix de la couleur d'avant plan.
+// PIColors  GetBackgroundColor()
+//	Renvoie la couleur de fond
+// PIColors  GetForegroundColor()
+//	Renvoie la couleur d'avant-plan.
+// void  EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0) 
+//	Efface la zone rectangulaire définie par le coin "(x0,y0)" ,
+//	de taille "dx,dy" à l'aide de la couleur de fond.
+//--
+
 //++
 // Titre	Gestion des accrochages (Binding)
Index: /trunk/SophyaPI/PI/piwdggen.h
===================================================================
--- /trunk/SophyaPI/PI/piwdggen.h	(revision 1033)
+++ /trunk/SophyaPI/PI/piwdggen.h	(revision 1034)
@@ -9,4 +9,5 @@
 #include "machdefs.h"
 #include "pimsghandler.h"
+#include "picolist.h"
 
 #include <string>
@@ -60,4 +61,11 @@
   virtual void           SetPos(int px, int py)=0;
   virtual void           SetBorderWidth(int bw)=0;
+
+//  Divers : couleur de fond, et d'avant plan Effacement fenetre,
+  virtual void           SetBackgroundColor(PIColors col=PI_White)= 0;
+  virtual void           SetForegroundColor(PIColors col=PI_Black)= 0;
+  virtual void           EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0)= 0;
+  virtual PIColors       GetBackgroundColor()= 0;
+  virtual PIColors       GetForegroundColor()= 0;
 
 //  Gestion des accrochages (binding) aux containers
Index: /trunk/SophyaPI/PI/piwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.cc	(revision 1033)
+++ /trunk/SophyaPI/PI/piwdgx.cc	(revision 1034)
@@ -17,4 +17,5 @@
 #include "picontainerx.h"
 #include "pievthandler.h"
+#include "pigraphx.h"
 
 
@@ -105,4 +106,5 @@
 stmng = false;
 finishDone = false;
+mFCol = mBCol = PI_NotDefColor;
 mBKleft =  mBKright =  mBKtop =  mBKbottom = PIBK_free;
 #ifdef DEBUG_PIWdgX
@@ -121,4 +123,5 @@
 wmis = k_wmi_unknown;
 finishDone = false;
+mFCol = mBCol = PI_NotDefColor;
 mBKleft =  mBKright =  mBKtop =  mBKbottom = PIBK_free;
 }
@@ -181,5 +184,5 @@
        (long)this, (long)sdw, (long)pwdg, wmis);
 #endif
-
+mFCol = mBCol = PI_NotDefColor;
 SetBinding(PIBK_free, PIBK_free, PIBK_free, PIBK_free);
 if (parent) parent->ChildAdd(this);
@@ -322,4 +325,45 @@
 } 
 
+/* --Methode-- */
+void PIWdgX::SetBackgroundColor(PIColors col)
+{
+if (col < 0)  return;
+Arg  wargs[2];
+XtSetArg(wargs[0],XtNbackground, PIGraphicX::GetPixelValueforColor(col) );  
+XtSetValues(XtWdg(), wargs, 1);
+mBCol = col;
+return;
+}
+
+/* --Methode-- */
+void PIWdgX::SetForegroundColor(PIColors col)
+{
+if (col < 0)  return;
+Arg  wargs[2];
+XtSetArg(wargs[0],XtNforeground, PIGraphicX::GetPixelValueforColor(col) );  
+XtSetValues(XtWdg(), wargs, 1);
+mFCol = col;
+return;
+}
+
+/* --Methode-- */
+void PIWdgX::EraseWindow(int x0, int y0, int dx, int dy)
+{
+XClearArea (XtDisplay(XtWdg()),XtWindow(XtWdg()), x0, y0, dx, dy, False );
+return;
+}
+
+/* --Methode-- */
+PIColors   PIWdgX::GetBackgroundColor()
+{
+return(mBCol);
+}
+
+/* --Methode-- */
+PIColors   PIWdgX::GetForegroundColor()
+{
+return(mFCol);
+}
+
  
 /* --Methode-- */
@@ -564,13 +608,12 @@
 "PeidaInt*default*background:                 LightGrey" ,
 "PeidaInt*background:                         LightGrey" ,
-"PeidaInt*bottomShadowColor:                  Black" ,
-"PeidaInt*default*bottomShadowColor:          Black" , 
 "PeidaInt*Foreground:                         Black",
 "PeidaInt*default*Foreground:                 Black",
+"PeidaInt*default*bottomShadowColor:          Black",
+"PeidaInt*bottomShadowColor:                  Black",
+"PeidaInt*default*topShadowColor:             White",
 "PeidaInt*topShadowColor:                     White",
-"PeidaInt*default*topShadowColor:             White",
 "PeidaInt*borderColor:                        Black",
 "PeidaInt*XmLabel.borderWidth:                0",
-"PeidaInt*XmScrollBar*background:             LightGrey",
 "PeidaInt*XmDrawingArea*background:           Black",
 "PeidaInt*XmPushButton*borderWidth:           0",
Index: /trunk/SophyaPI/PI/piwdgx.h
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.h	(revision 1033)
+++ /trunk/SophyaPI/PI/piwdgx.h	(revision 1034)
@@ -30,4 +30,11 @@
   virtual void   SetSize(int sx, int sy);
   virtual void   SetPos(int px, int py);
+
+//  Divers : couleur de fond, et d'avant plan Effacement fenetre,
+  virtual void           SetBackgroundColor(PIColors col=PI_White);
+  virtual void           SetForegroundColor(PIColors col=PI_Black);
+  virtual void           EraseWindow(int x0=0, int y0=0, int dx=0, int dy=0);
+  virtual PIColors       GetBackgroundColor();
+  virtual PIColors       GetForegroundColor();
 
   virtual void   SetBinding(PIBindingKind left, PIBindingKind top, 
@@ -105,4 +112,5 @@
   bool stmng;
   bool finishDone;  // FinishCreate appele
+  PIColors mBCol, mFCol;
   PIBindingKind mBKleft, mBKright, mBKtop, mBKbottom;
 };
